<template>
  <div class="detail-sub-nav">
    <div class="detail-sub-navigation">
      <app-link class="block" :to="{ name: 'CatalogueDetailDashboard', params: {id: id}, query: Object.assign({}, { locale: $i18n.locale }) }">
        <span class="detail-sub-nav-inactive">{{ $t("message.catalogue_detail.title") }}</span>
      </app-link>
      <app-link class="block" :to="{ name: 'CatalogueDetailDistributions', params: {id: id}, query: Object.assign({}, { locale: $i18n.locale }) }">
        <span class="detail-sub-nav-inactive">
          {{ $t("message.catalogue_detail.distributions.title") }}
          <span style="color:#9ba2a2">
            <span class="badge badge-warning">
              {{getCatalogueDistributionsSize}}
            </span>
          </span>
        </span>
      </app-link>
      <app-link class="block" :to="{ name: 'CatalogueDetailViolations', params: {id: id}, query: Object.assign({}, { locale: $i18n.locale }) }">
        <span class="detail-sub-nav-inactive">
          {{ $t("message.catalogue_detail.violations.own_headline") }}
          <span style="color:#9ba2a2">
            <span class="badge badge-warning">
              <span>
                {{getCatalogueViolationsSize}}
              </span>
            </span>
          </span>
        </span>
      </app-link>
    </div>
  </div>
</template>

<script>
/* eslint-disable */
import AppLink from '@/components/AppLink'
import {mapActions, mapGetters} from 'vuex'

export default {
  name: 'CatalogueDetailNavigation',
  components: {
    AppLink
  },
  data() {
    return {}
  },
  props: {
    id: {
      type: String,
      required: true
    }
  },
  mounted() {
  },
  computed: {
    // import store-getters
    ...mapGetters([
      'getCatalogueDistributionsSize',
      'getCatalogueViolationsSize'
    ])
  },
  methods: {
    // import store-actions
    ...mapActions([
      'loadCatalogueDistributionsSize',
      'loadCatalogueViolationsSize'
    ])
  },
  created() {
    if (this.id) {
      this.loadCatalogueDistributionsSize(this.id)
      this.loadCatalogueViolationsSize(this.id);
    }
  }
}
</script>

<style scoped>
</style>
